pfodParser 3.55.0 The pfodParser library is handles commands sent from the Android pfodApp, pfodApp supports WiFi, BLE, Bluetooth and SMS connections

Public Member Functions | List of all members
pfodTouchAction Class Reference

`#include <pfodTouchAction.h>`

Inherits pfodDwgsBase.

## Public Member Functions
| pfodTouchAction ()
pfodTouchAction & | action (pfodDwgsBase &_action)
pfodTouchAction & | cmd (const char _cmd)
pfodTouchAction & | cmd (const char *_cmdStr)
void | init (Print *out, struct VALUES *_values)
void | send (char _startChar='|')
Public Member Functions inherited from pfodDwgsBase
void | printFloatNumber (float f)

## Additional Inherited Members
Public Attributes inherited from pfodDwgsBase
Print * | out
Static Public Attributes inherited from pfodDwgsBase
static const int | BLACK_WHITE = -1
static const int | BLACK = 0
static const int | MAROON = 1
static const int | GREEN = 2
static const int | OLIVE = 3
static const int | NAVY = 4
static const int | PURPLE = 5
static const int | TEAL = 6
static const int | SILVER = 7
static const int | GREY = 8
static const int | RED = 9
static const int | LIME = 10
static const int | YELLOW = 11
static const int | BLUE = 12
static const int | FUCHSIA = 13
static const int | MAGENTA = FUCHSIA
static const int | AQUA = 14
static const int | WHITE = 15
static const int | TOUCH = 0
static const int | DOWN = 1
static const int | DRAG = 2
static const int | UP = 4
static const int | CLICK = 8
static const int | PRESS = 16
static const int | ENTRY = 32
static const int | EXIT = 64
static const int | DOWN_UP = 256
static const int | TOUCH_DISABLED = 512
static const uint16_t | TOUCHED_COL = 65534
static const uint16_t | TOUCHED_ROW = 65532
static const uint16_t | TOUCHED_X = 65534
static const uint16_t | TOUCHED_Y = 65532
Protected Member Functions inherited from pfodDwgsBase
void | startText ()
void | encodeText (Print *out, uint8_t encodeOutput, const char *cPtr)
void | encodeText (Print *out, uint8_t encodeOutput, const __FlashStringHelper *ifsh)
void | encodeChar (Print *out, uint8_t encodeOutput, char c)
void | printFloat (float f)
void | printFloatDecimals (float f, int decPlaces)
void | sendColRowVars (float val)
void | printColor ()
void | printTextFormatsWithBkgndColor ()
void | printIdx ()
void | colRowOffset ()
void | colWidthHeight ()
void | initValues (struct VALUES *_valuesPtr)
| pfodDwgsBase ()
int | getAutoIdx (uint16_t &idx)
Protected Attributes inherited from pfodDwgsBase
struct VALUES * | valuesPtr

## Detailed Description

Definition at line 14 of file pfodTouchAction.h.

## Constructor & Destructor Documentation

## ◆ pfodTouchAction()

pfodTouchAction::pfodTouchAction | ( |  | ) |

## Member Function Documentation

## ◆ action()

pfodTouchAction& pfodTouchAction::action | ( | pfodDwgsBase & | _action | ) |

## ◆ cmd() [1/2]

pfodTouchAction& pfodTouchAction::cmd | ( | const char * | _cmdStr | ) |

## ◆ cmd() [2/2]

pfodTouchAction& pfodTouchAction::cmd | ( | const char | _cmd | ) |

## ◆ init()

void pfodTouchAction::init | ( | Print * | out,
|  | struct VALUES * | _values
| ) |  |

## ◆ send()

void pfodTouchAction::send | ( | char | _startChar = `'|'` | ) |
| virtual

Reimplemented from pfodDwgsBase.